Bug 239817 - www/domoticz: update to 4.10717
Summary: www/domoticz: update to 4.10717
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-13 14:59 UTC by Oleksii Samorukov
Modified: 2019-09-01 19:19 UTC (History)
3 users (show)

See Also:
kiwi: maintainer-feedback+


Attachments
domoticz patch (1.34 KB, patch)
2019-08-13 14:59 UTC, Oleksii Samorukov
no flags Details | Diff
Previous patch was not updating plist, fixed now (121.94 KB, patch)
2019-08-14 16:48 UTC, Oleksii Samorukov
no flags Details | Diff
Patch for domoticz. (24.39 KB, patch)
2019-08-16 13:01 UTC, kiwi
no flags Details | Diff
Patch for www/domoticz (25.02 KB, patch)
2019-09-01 13:28 UTC, kiwi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2019-08-13 14:59:01 UTC
Created attachment 206486 [details]
domoticz patch

This patch updates domoticz to 4.10717 version. It also removes outdated patch and  removes GH_PROJECT/GH_ACCOUNT as defaults are already set to these values.
Comment 1 Oleksii Samorukov freebsd_committer 2019-08-14 16:48:24 UTC
Created attachment 206547 [details]
Previous patch was not updating plist, fixed now
Comment 2 kiwi 2019-08-16 13:01:57 UTC
Created attachment 206617 [details]
Patch for domoticz.

This patch obsolete the previous patch.
Comment 3 kiwi 2019-08-16 13:04:42 UTC
The latest patch is the up to date port that fixes also the dependency of python 3.4 that is no longer in the port treee.

Please commit it instead of Samm's one (it is more less the same with removal of unncessary patch and python dependency fixed).
Comment 4 Yuri Victorovich freebsd_committer 2019-09-01 01:49:52 UTC
Patching file domoticz/Makefile using Plan A...
Hunk #1 failed at 2.

Please update the patch.
Comment 5 kiwi 2019-09-01 13:28:40 UTC
Created attachment 207064 [details]
Patch for www/domoticz

Here is the latest and updated patch.

Regards
Comment 6 Yuri Victorovich freebsd_committer 2019-09-01 19:13:12 UTC
Shouldn't it have NO_ARCH=yes?
It seems that it doesn't install any architecture-specific files.
Comment 7 Yuri Victorovich freebsd_committer 2019-09-01 19:16:09 UTC
(In reply to Yuri Victorovich from comment #6)

Never mind, there is one binary.
Comment 8 commit-hook freebsd_committer 2019-09-01 19:17:51 UTC
A commit references this bug:

Author: yuri
Date: Sun Sep  1 19:17:27 UTC 2019
New revision: 510732
URL: https://svnweb.freebsd.org/changeset/ports/510732

Log:
  www/domoticz: update to 4.10717

  PR:		239817
  Submitted by:	samm@os2.kiev.ua (original version)
  Submitted by:	kiwi@oav.net (final version; maintainer)

Changes:
  head/www/domoticz/Makefile
  head/www/domoticz/distinfo
  head/www/domoticz/files/patch-hardware_plugins_DelayedLink.h
  head/www/domoticz/pkg-message
  head/www/domoticz/pkg-plist
Comment 9 Yuri Victorovich freebsd_committer 2019-09-01 19:19:44 UTC
Committed, thanks!

Please consider converting to option helpers for the next update.

For example,
> .if ${PORT_OPTIONS:MSSSL}
> CMAKE_ARGS+=    -DUSE_OPENSSL_STATIC="YES"
> .else
> CMAKE_ARGS+=    -DUSE_OPENSSL_STATIC="NO"
> .endif

can become

> SSSL_CMAKE_BOOL=    USE_OPENSSL_STATIC


Thanks,
Yuri